Gnome 2 und Windowmanager Probleme

moonlook

moonlook

!alleswissenwollen!
Hi,

nachdem ich diverse Probs hatte (http://www.rootboard.de/forums/showthread.php?s=&threadid=1000) und diese sich nicht so richtig lösen liessen,
entschloss ich mich, den Gnome einfachma zu updaten nach der Kurzanleitung unter:http://tipps.gnome-de.org/installieren/debian.php

Installieren der Pakete kein Problem, aber schon beim X-Neustart mehrere Probs:
-->das update-script zur Umstellung von Desktop-Einstellungen schlägt fehl, die angezeigte Datei wegen der Einzelheiten ist nicht vorhanden.
-->der twm startet und ist tothässlich:
ok, killall -9 &&metacity startet zwar den metacity, jedoch nur mit ner Fehlermeldung:
Fenstermanager-Warnung: Das Öffnen einer Verbindung mit einem Sitzungsverwalter ist fehlgeschlagen, daher werden die Fensterpositionen nicht gespeichert: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
Wenn ich nun das Xterm mit der Meldung zu mache, ist nix mehr per Tastatur möglich, nur noch per Maus
-->im dselect kommt jetzt auch noch folgende Bemerkung: gdm2 empfiehlt gnome-session2
gnome-session2 scheint nicht verfügbar zu sein
Dabei ist gnome-session2 installiert!?
-->Dasselbe mit Gnome-Icu: Da bei der Woody nur eine Version standardmässig dabei ist, die keinen Gnome2 unterstützt, habe ich versucht das normale Paket von der Homepage zu installieren. Beim ./configure kommt schon folgendes:
checking for pkg-config... /usr/bin/pkg-config
checking for libglade-2.0 >= 2.0.0
libgnomeui-2.0 >= 2.0.0
gnet >= 1.1.3
libxml-2.0 >= 2.4.7... Package libglade-2.0 was not found in the pkg-config search path. Perhaps you should add the directory containing `libglade-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libglade-2.0' found
Dabei ist auch libglade-2.0 installiert.

Wie bekomme ich das hin?
a) den Metacity als Standardmanager und
b) die Umgebungsvariable PKG_CONFIG_PATH setzen?

Ich hoffe auf eure HIlfe, denke auch das es wiedermal triviale Einstellungen sind, die bloss meiner mangelnden Erfahrung zu Gute zu schreiben sind...
 
moonlook

moonlook

!alleswissenwollen!
Die Lösung!

Hi,

falls es jemand interessiert, hier ist die Lösung für den Windowmanager:

Ich hab den Gnome 1,4 komplett entfernt bis auf ein paar libs, da das Updatescript nach Installieren und Updaten von Version 1,4 auf Version 2.0 ständig fehlschlug
und mir einen herrlichen Desktop-Salat präsentiert hat. Die Panels werden sowieso entfernt und müssen neu eingerichtet werden, also was solls....
Debian hat anscheinend keine Sawfish-Version(die ich sonst nehmen würde) die für den Gnome 2 ausgelegt ist.
Der jetzige Windowmanager heisst Metacity, was mir nicht bekannt war.
Ein einfaches 'update-alternatives --config x-window-manager' auf der Konsole hat es dann gebracht.
Man kann zwischen den einzelnen Windowmanagern umschalten.
Quelle ist hier: http://www.debianforum.de/forum/viewtopic.php?t=4004&highlight=metacity

Schnell noch ein schickes Aqua-Theme gezogen von: http://themes.freshmeat.net/projects/aquax-gtk2/?topic_id=923,958 fürs GTK 2
und noch eines für den Metacity von hier: http://www.themedepot.org/itemdetail.php4?id=91

Und schon sieht er besser aus:D
 

Ähnliche Themen

man man man was ist das für ein mist

tilp lässt sich nicht installieren

Shortcutkey beim HP nx7400

kernel-bau nicht aus /usr/src heraus ! uClinux

Pidgin - Plugins - wie?

Oben